Saltar para o conteúdo principal
POST
/
api
/
authentication
/
login
curl --location 'https://stg.api.fire.rest/api/authentication/login' \
  --header 'x-api-key: <your_api_key>' \
  --header 'x-client-channel: integration' \
  --header 'account: <your_account_id>' \
  --header 'Content-Type: application/json' \
  --data '{
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>",
    "grant_type": "client_credentials"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
x-api-key
string
obrigatório
Sua API key do Fire. Emitida pelo dashboard do Fire em Settings → API Keys.
x-client-channel
string
obrigatório
Deve ser integration. Identifica a requisição como vinda de uma integração externa.
account
string
obrigatório
Identificador da conta à qual a requisição pertence.
Content-Type
string
padrão:"application/json"
obrigatório
Deve ser application/json para o corpo JSON.
client_id
string
obrigatório
Identificador de cliente emitido pelo Fire.
client_secret
string
obrigatório
Segredo de cliente emitido pelo Fire.
grant_type
string
padrão:"client_credentials"
obrigatório
Tipo de grant OAuth 2.0. Deve ser client_credentials.
accessToken
string
Token de acesso. Inclua-o no cabeçalho Authorization: Bearer <accessToken> em todas as requisições à API.
curl --location 'https://stg.api.fire.rest/api/authentication/login' \
  --header 'x-api-key: <your_api_key>' \
  --header 'x-client-channel: integration' \
  --header 'account: <your_account_id>' \
  --header 'Content-Type: application/json' \
  --data '{
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>",
    "grant_type": "client_credentials"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}